Skip to main content
PATCH
/
subscribers
/
{subscriber_id}
Update subscriber
curl --request PATCH \
  --url https://api.paubox.net/v1/orca/{username}/subscribers/{subscriber_id} \
  --header 'Content-Type: application/json' \
  --header 'authorization: <api-key>' \
  --data '
{
  "subscriber": {
    "email": "jsmith@example.com",
    "phone_number": "<string>",
    "first_name": "<string>",
    "last_name": "<string>"
  }
}
'
{
  "data": {
    "id": "<string>",
    "type": "subscriber",
    "attributes": {
      "email": "jsmith@example.com",
      "unsubscribed": true,
      "first_name": "<string>",
      "last_name": "<string>"
    }
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.paubox.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

authorization
string
header
required

Token-based authentication. Use format: "Token token=<API_KEY>" where <API_KEY> is your API key

Path Parameters

subscriber_id
string
required

The ID of the subscriber to update

Body

application/json
subscriber
object

Response

Subscriber updated successfully

data
object